import { IAgentStartInfo, IInfoBuilder } from "./agent-events-conracts";
import { AgentInstanceInfoBuilder } from "./agent-instance-info-builder";
import { MachineInfoBuilder } from "./machine-info-builder";
import { NodejsEnvInfoBuilder } from "./nodejs-env-info-builder";
import { CiInfoBuilder } from "./ci-info-builder";
export declare class AgentStartInfoBuilder implements IInfoBuilder<IAgentStartInfo> {
    private agentInstanceInfoBuilder;
    private machineInfoBuilder;
    private techSpecificInfoBuilder;
    private ciInfoBuilder;
    constructor(agentInstanceInfoBuilder: AgentInstanceInfoBuilder, machineInfoBuilder: MachineInfoBuilder, techSpecificInfoBuilder: NodejsEnvInfoBuilder, ciInfoBuilder: CiInfoBuilder);
    fillData(): void;
    build(): IAgentStartInfo;
}
