import bunyan = require('bunyan');
export declare class IgnoredFilesHandler {
    static readonly SCAN_IGNORE_FILE_NAME = ".slignore";
    static readonly GENERATED_IGNORE_FILE_NAME = ".slignore.generated";
    private slIgnoreFilePath;
    private outputPath;
    private filename;
    private rawPattern;
    isUsingNycConfig: boolean;
    private logger;
    private ignoredPatterns;
    constructor(slIgnoreFilePath: string, outputPath: string, filename: string, logger: bunyan);
    private initIgnorePatterns;
    private getRawPatterns;
    private readFromSlIgnoreFile;
    private getFormattedPattern;
    private addExcludedPath;
    private getDefaultPattern;
    private readFromNycConfig;
    private readNycConfig;
    private createExcludePatternFromNyc;
    denies(input: any): any;
    accepts(input: any): boolean;
}
