"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var NodejsEnvInfoBuilder = /** @class */ (function () {
    function NodejsEnvInfoBuilder(dependencies) {
        this.info = {};
        this.dependencies = dependencies || {};
    }
    NodejsEnvInfoBuilder.prototype.fillData = function () {
        this.info.indexJsonDeps = this.dependencies;
        this.info.nodeVersion = process.versions.node;
    };
    NodejsEnvInfoBuilder.prototype.build = function () {
        this.fillData();
        return this.info;
    };
    return NodejsEnvInfoBuilder;
}());
exports.NodejsEnvInfoBuilder = NodejsEnvInfoBuilder;
//# sourceMappingURL=nodejs-env-info-builder.js.map